Package twisted :: Package trial :: Module unittest :: Class TestCase |
[frames | no frames]

## Class TestCase

Method Summary
| `_mktGetCounter(self, base)`
| `assert_(self, condition, message)`
| `assertApproximates(self, first, second, tolerance, msg)`
| `assertEqual(self, first, second, msg)`
| `assertEquals(self, first, second, msg)`
| `assertIdentical(self, first, second, msg)`
| `assertIn(self, containee, container, msg)`
| `assertNotEqual(self, first, second, msg)`
| `assertNotEquals(self, first, second, msg)`
| `assertNotIn(self, containee, container, msg)`
| `assertRaises(self, exception, f, *args, **kwargs)`
| `fail(self, message)`
| `failIf(self, condition, message)`
| `failIfEqual(self, first, second, msg)`
| `failIfEquals(self, first, second, msg)`
| `failIfIn(self, containee, container, msg)`
| `failUnless(self, condition, message)`
| `failUnlessEqual(self, first, second, msg)`
| `failUnlessIdentical(self, first, second, msg)`
| `failUnlessIn(self, containee, container, msg)`
| `failUnlessRaises(self, exception, f, *args, **kwargs)`
| `mktemp(self)`
| ``runReactor`(self, timesOrSeconds, seconds)` I'll iterate the reactor for a while.
| `setUp(self)`
| `setUpClass(self)`
| `tearDown(self)`
| `tearDownClass(self)`

Class Variable Summary
`int` | `_assertions` = 0
`NoneType` | `expectedAssertions` = None

Method Details

### runReactor(self, timesOrSeconds, seconds=0) I'll iterate the reactor for a while. You probably want to use expectedAssertions with this. Parameters: `timesOrSeconds` - Either the number of iterations to run, or, if `seconds' is True, the number of seconds to run for. (type=int) `seconds` - If this is True, `timesOrSeconds' will be interpreted as seconds, rather than iterations. (type=bool)

Class Variable Details

    ### _assertions Type: `int` Value:
        0

    ### expectedAssertions Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net